from app.models import db
from flask_login import UserMixin

class User(db.Model, UserMixin):
    __tablename__ = 'users'
    id = db.Column(db.Integer, primary_key=True)
    username = db.Column(db.String(80), unique=True, nullable=False)
    email = db.Column(db.String(120), unique=True, nullable=False)
    password = db.Column(db.String(120), nullable=False)
    failed_login_attempts = db.Column(db.Integer, default=0, nullable=False)
    last_failed_login_attempt = db.Column(db.DateTime, default=None, nullable=True)
